Bugs item #1657043, was opened at 2007-02-10 19:48
Message generated for change (Comment added) made by thekingant
You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=100235&aid=1657043&group_id=235

Please note that this message will contain a full copy of the comment thread,
including the initial issue submission, for this request,
not just the latest update.
Category: segfault
Group: 2.0.0 beta 6
>Status: Pending
Resolution: None
Priority: 5
Private: No
Submitted By: Max (stephengillies)
Assigned to: Nobody/Anonymous (nobody)
Summary: Update from b3 to b6 segfaults in ubuntu64

Initial Comment:
Have previously installed gaim-2 b3 from apt-get, tried to manually install b6 
from command line. I have removed the older version using apt-get, but havent 
been through to remove specific files. I'm thinking that's my problem. 

Debug below

[EMAIL PROTECTED]:~/installs-old$ /usr/local/bin/gaim --debug
dbus: okkk
plugins: probing /usr/local/lib/gaim/docklet.so
plugins: /usr/local/lib/gaim/docklet.so is not loadable: The UI requirement is 
not met.
plugins: probing /usr/local/lib/gaim/gestures.so
plugins: probing /usr/local/lib/gaim/musicmessaging.so
plugins: probing /usr/local/lib/gaim/ssl.so
plugins: probing /usr/local/lib/gaim/ssl-gnutls.so
plugins: probing /usr/local/lib/gaim/ssl-nss.so
plugins: probing /usr/local/lib/gaim/ticker.so
plugins: probing /usr/local/lib/gaim/extplacement.so
plugins: probing /usr/local/lib/gaim/gaimrc.so
plugins: probing /usr/local/lib/gaim/history.so
plugins: probing /usr/local/lib/gaim/iconaway.so
plugins: probing /usr/local/lib/gaim/idle.so
plugins: probing /usr/local/lib/gaim/notify.so
plugins: probing /usr/local/lib/gaim/psychic.so
plugins: probing /usr/local/lib/gaim/relnot.so
plugins: probing /usr/local/lib/gaim/spellchk.so
plugins: probing /usr/local/lib/gaim/statenotify.so
plugins: probing /usr/local/lib/gaim/timestamp.so
plugins: probing /usr/local/lib/gaim/timestamp_format.so
plugins: probing /usr/local/lib/gaim/dbus-example.so
plugins: probing /usr/local/lib/gaim/libirc.so
plugins: probing /usr/local/lib/gaim/libjabber.so
plugins: probing /usr/local/lib/gaim/libmsn.so
plugins: probing /usr/local/lib/gaim/libnovell.so
plugins: probing /usr/local/lib/gaim/liboscar.so
plugins: /usr/local/lib/gaim/liboscar.so is not usable because the 
'gaim_init_plugin' symbol could not be found.  Does the plugin call the 
GAIM_INIT_PLUGIN() macro?
plugins: probing /usr/local/lib/gaim/libsimple.so
plugins: probing /usr/local/lib/gaim/libyahoo.so
plugins: probing /usr/local/lib/gaim/libzephyr.so
plugins: probing /usr/local/lib/gaim/autoaccept.so
plugins: probing /usr/local/lib/gaim/autoreply.so
plugins: probing /usr/local/lib/gaim/buddynote.so
plugins: probing /usr/local/lib/gaim/log_reader.so
plugins: probing /usr/local/lib/gaim/newline.so
plugins: probing /usr/local/lib/gaim/offlinemsg.so
plugins: probing /usr/local/lib/gaim/libgg.so
plugins: probing /usr/local/lib/gaim/libaim.so
plugins: probing /usr/local/lib/gaim/libicq.so
plugins: probing /usr/local/lib/gaim/libqq.so
plugins: probing /usr/local/lib/gaim/s.so
plugins: /usr/local/lib/gaim/s.so is not usable because the 'gaim_init_plugin' 
symbol could not be found.  Does the plugin call the GAIM_INIT_PLUGIN() macro?
plugins: probing /usr/local/lib/gaim/gntgf.so
plugins: /usr/local/lib/gaim/gntgf.so is not loadable: The UI requirement is 
not met.
plugins: probing /usr/local/lib/gaim/gnthistory.so
plugins: probing /usr/local/lib/gaim/gntlastlog.so
plugins: /usr/local/lib/gaim/gntlastlog.so is not loadable: undefined symbol: 
cur_term
plugins: probing /usr/local/lib/gaim/convcolors.so
plugins: probing /usr/local/lib/gaim/markerline.so
plugins: probing /usr/local/lib/gaim/xmppconsole.so
util: Reading file accounts.xml from directory /home/max/.gaim
util: Reading file status.xml from directory /home/max/.gaim
sighandler: Caught signal 2
plugins: Unloading plugin AIM

Gaim never starts up. control-c produces the 'lodge a bug' message.

I can start gaim as root (compiled as a user, make install was run as root), so 
this is probably my fault. I noticed that the plugins stuff isnt firing 
properly, and I didnt think I had any plugins installed so that's a little 
weird. I've searched for plugins directories but not found any.

my system details are:

Linux version 2.6.15-28-amd64-generic ([EMAIL PROTECTED]) (gcc version 4.0.3 
(Ubuntu 4.0.3-1ubuntu5)) #1 SMP PREEMPT Thu Feb 1 15:53:41 UTC 2007

[EMAIL PROTECTED]:~/installs-old$ /usr/local/bin/gaim --version
Gaim 2.0.0beta6

libgtk2-0-0 : 2.8.20-0ubuntu1.1

I've turned off everything using xmms and have tried the export GDK_USE_XFT=0 
suggestion in the faq.

Let me know if there's anything else I need to provide. 

Max
[EMAIL PROTECTED]

----------------------------------------------------------------------

>Comment By: Mark Doliner (thekingant)
Date: 2007-02-10 20:42

Message:
Logged In: YES 
user_id=20979
Originator: NO

What happens if you start Gaim with "gaim -n"?  Did you compile with
NetworkManager support?  If so, does it work if you compile without
NetworkManager support?

----------------------------------------------------------------------

You can respond by visiting: 
https://sourceforge.net/tracker/?func=detail&atid=100235&aid=1657043&group_id=235

-------------------------------------------------------------------------
Using Tomcat but need to do more? Need to support web services, security?
Get stuff done quickly with pre-integrated technology to make your job easier.
Download IBM WebSphere Application Server v.1.0.1 based on Apache Geronimo
http://sel.as-us.falkag.net/sel?cmd=lnk&kid=120709&bid=263057&dat=121642
_______________________________________________
Gaim-bugs mailing list
Gaim-bugs@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/gaim-bugs

Reply via email to